Page MenuHomePhabricator

[analyzer] Don't run the analyzer for -analyzer-list-enabled-checkers
ClosedPublic

Authored by Szelethus on Aug 25 2019, 5:24 AM.

Diff Detail

Event Timeline

Szelethus created this revision.Aug 25 2019, 5:24 AM
NoQ accepted this revision.Aug 30 2019, 2:58 PM

You can probably write a test for it via -analyzer-display-progress?

This revision is now accepted and ready to land.Aug 30 2019, 2:58 PM
This revision was automatically updated to reflect the committed changes.
Herald added a project: Restricted Project. · View Herald TranscriptSep 12 2019, 11:54 AM
NoQ added a comment.Sep 12 2019, 2:59 PM

Umm, this test fails for me locally because i see osx checkers displayed in the list. Which is weird because they're supposed to be enabled based on the target platform, not on the host platform.